INTRODUCTION

L’explorateur de projet est un outil unique de Proteus qui fournit, sous la forme d’une boite de dialogue, la possibilité de naviguer et d’inspecter votre schéma à tout instant. Il inclut non seulement la possibilité d’interroger l’état courant, de vérifier la connectivité, le packaging, etc. mais également de se placer sur un élément du schéma ou du circuit imprimé.

Icône de l'explorateur de projets

L’explorateur de projet montre les informations de deux façons:

Visionneur 'Liste des éléments' (Partslist)

Le visionneur fournit une représentation physique du schéma, et vous montre les feuilles, les hiérarchies, les composants et les broches. Vous pouvez naviguer à travers votre projet (si, par exemple vous avez un projet multi-feuilles avec plus d’une "feuille-mère") ou par-dessous.

Visionneur 'Liste des liens' (Netlist)

Le visionneur donne une représentation de la connectivité du schéma, qui montre une liste de tous les liens du schéma et de toutes les broches connectées au lien sélectionné.

Voir également:

Tutorial ARES : Explorateur de projet


Guided Tour

VISITE GUIDEE

Avant de regarder plus en détail toutes les fonctionnalités de l’explorateur de projet, vous devez vous familiariser avec la fenêtre elle-même. Elle est constituée d’une barre d’outils et de deux panneaux.

Barre d'outils

La barre d’outils contient 9 icônes:

ICONES | DESCRIPTION
 | Cette icône valide le mode ‘visionneur des éléments physiques’.
 | Cette icône valide le mode ‘visionneur des liens physiques’.
 | Déplace l’explorateur de projet vers la page précédente, comme dans un navigateur Internet. Bien évidemment, cette icône n’est pas active au lancement de la première page visualisée.
 | Déplace l’explorateur de projet vers la page suivante, comme dans un navigateur Internet. Bien évidemment, cette icône n’est pas active lorsqu’il n’y a pas de page suivante à visualiser.
 | Cette icône permet de remonter d’un cran dans la hiérarchie. L’icône est désactivée lorsque le visionneur est au niveau racine.
 | Cette icône ouvre une boite de dialogue de recherche qui permet de trouver rapidement des éléments, des liens ou des feuilles du projet.
 | Cette icône effectue un lien avec l’application ISIS lors de la recherche d’éléments. Son action dépend de ce qui est sélectionné dans l’explorateur de projet.
 | Cette icône effectue un lien avec l’application ARES lors de la recherche d’éléments. Son action dépend de ce qui est sélectionné dans l’explorateur de projet. Cette icône n’est active que lorsque le schéma et le circuit imprimé sont ouverts pour le même projet, et que les modifications ont été répercutées dans une netlist à jour.
 | Mode test croisé

Panneau de gauche

Le panneau de gauche sert principalement à la navigation. En visionneur de liste des éléments du projet, il fournit l’arborescence du schéma depuis les feuilles racines, jusqu’aux modules hiérarchiques et les composants individuels. En visionneur de liste des liens (netlist), il présente l’arborescence de tous les liens du projet.

Indépendamment du visionneur, il fonctionne de la même manière que l’explorateur Windows. Un clic sur un élément placé dans le panneau de gauche met à jour le panneau de droite, avec des informations détaillées sur le contenu de l’élément sélectionné.

Le panneau de gauche de l’explorateur en visionneur des éléments et des liens respectivement.

Panneau de droite

Le panneau de droite de l’explorateur de projet détaille les informations sur l’élément sélectionné. Par exemple, le fait de sélectionner un lien à gauche (visionneur de liens) présentera dans le panneau de droite toutes les broches connectées à ce lien. Autre exemple ; si vous sélectionnez une feuille dans le panneau de gauche (visionneur des éléments), le panneau de droite contiendra tous les composants de cette feuille.

Le panneau de droite de l’explorateur de projet ouvert en visionneur d’éléments.

Les informations affichées dans le panneau de droite sont dynamiques et remises à jour en fonction du contexte - Par exemple, cela permet d'afficher les informations de package quand les composants sont listés sur le côté droit du panneau et de router les stratégies quand les liens sont affichés sur le côté droit du panneau.

Icônes d'identification

L’explorateur utilise diverses icônes qui facilitent l’identification visuelle des éléments listés.

ICONES | DESCRIPTION
 | Représente une feuille ISIS du niveau hiérarchique le plus élevé.
 | Représente une feuille enfant, un sous-circuit ou un bloc hiérarchique dans ISIS.
 | Représente un simple composant du schéma.
 | Représente une simple broche du schéma.
 | Représente un terminal du schéma.
 | Représente un lien standard dans ISIS.
 | Représente un lien global du projet dans ISIS.
 | Représente un lien qui ne contient qu’une broche dans ISIS. Notez que ceci n’est pas nécessairement une erreur, telle une broche d’un circuit qui est non connectée, et sera identifiée comme une broche simple, ce qui peut être parfaitement légitime.


Design Navigation

NAVIGUER DANS LE PROJET

La navigation dans l’explorateur de projet est centrée autour des broches des composants. Ceci fournit une correspondance entre le visionneur de liens (regarder toutes les connexions à une broche d’un composant) et le visionneur d’élément (regarder toutes les broches physiques d’un composant).

A l’ouverture (depuis la commande Explorateur de projet – raccourci par défaut ALT+X), nous visualisons la liste des éléments physiques de la feuille courante, comme montré ci-dessous:

Ouverture du projet en visionneur des éléments physiques

Le panneau de gauche montre la liste de toutes les feuilles racines du schéma, avec la possibilité d’étendre le contenu par un clic sur le titre de la feuille. Pour une feuille plane (qui ne contient pas de sous-feuille), vous obtiendrez la liste des composants, tandis que pour une feuille racine qui contient une hiérarchie (la feuille racine possède une ou plusieurs sous-feuilles), l’arbre présentera toutes les sous-feuilles et les composants racines. Les sous-feuilles peuvent être étendues de la même manière, ce qui permet de naviguer dans les projets complexes.

Naviguer dans une hiérarchie multi-feuilles.

Le panneau de droite détaille les informations sur les composants d’une feuille ou d’une sous-feuille telles que le type, la valeur, le packaging. Pour un projet hiérarchisé, ce panneau contient également les feuilles enfants. Le contenu est mis à jour en fonction de ce qui est sélectionné dans le panneau de gauche. Les erreurs sont indiquées, telle qu’une absence de package qui est visualisée en rouge.

Nous pouvons aller plus loin en regardant les broches sur un composant; pour cela, cliquez sur le composant sur le côté gauche du panneau. Cette action modifie le côté droit du panneau pour afficher les informations sur les broches du composant en incluant leur type électrique, leur numéro et le lien sur lesquelles elles sont placées.

La liste des broches dans la partie droite, pour le composant sélectionné dans le panneau de gauche.

La colonne des liens sera soit un lien nommé (c’est à dire un lien connecté à un terminal ou un fil auquel a été affecté un label) ou un lien de la forme #0xxxx. Le caractère dièse dans le nom indique que le lien n’est pas nommé et qu’ISIS a automatiquement affecté un identifiant unique.

Après avoir parcouru la hiérarchie via le panneau de gauche, nous allons utiliser le panneau de droite pour nous enfoncer dans la hiérarchie. Un double clic sur une sous-feuille ou sur un composant du panneau de droite mettra à jour le contenu listé avec les composants ou les broches respectivement.

Ceci est particulièrement significatif lorsqu’une liste de broches est affichée dans le panneau de droite. Aucune navigation supplémentaire n’est possible dans le panneau de gauche (nous nous sommes enfoncés le plus loin possible dans la hiérarchie). Dans ce cas particulier, un double clic sur une broche du panneau de droite commutera automatiquement l’explorateur en visionneur de liens.

Un double clic sur une broche du panneau de droite commute en visionneur de liens.

Il est ainsi possible de naviguer à la fois sur les éléments du projet et les liens.

Notez que le côté gauche du panneau a changé pour afficher la liste de tous les liens du schéma. Cliquez sur un des liens de la liste pour afficher un listing de toutes les broches de ce lien à droite avec des information sur leur type, numéro et la feuille sur laquelle réside le composant 'parent'.

Un listing des broches du lien GND.

De la même façon, un double-clic sur la broche commute l’explorateur en visionneur d’éléments.

En résumé, vous pouvez parcourir le projet soit en visionneur de netlist , soit en visionneur d’éléments et commuter d’un visionneur à l’autre lorsque vous double-cliquez sur une broche du panneau de droite. Les raccourcis clavier des visionneurs d’éléments et de liens sont ALT+P et ALT+N respectivement.

Utiliser la boite de dialogue de recherche pour naviguer

Lorsque vous connaissez le nom de l’objet à rechercher, vous pouvez le localiser immédiatement. La boite de dialogue est lancée en cliquant sur l’icône Chercher de la barre d’outils de l’explorateur de projet. Par exemple, dans l’exemple ci-dessous nous recherchons le lien VSS dans le schéma.

Localiser le lien VSS avec l’explorateur de projet.

La boite de dialogue de recherche peut également être appelée avec le menu contextuel, par un clic droit dans l’explorateur de projet, ou via le raccourci clavier CTRL+F.


Schematic Integration

INTEGRATION AVEC LE SCHEMA

Integration avec le schéma

Jusqu’à présent nous avons vu qu’il était simple de parcourir le schéma avec l’explorateur de projet, mais la vraie puissance de cet outil est sa capacité à interagir avec le schéma, à rechercher, sélectionner des éléments d’intérêt.

Naviguer vers une feuille du schéma

Cette action permet de naviguer parmi les feuilles d’un projet multi-feuilles complexes.

Pour se rendre sur une feuille particulière du schéma:

  1. Lancez l’explorateur de projet (raccourci par défaut ALT+X).

  2. Placez-vous en visionneur des éléments.

  3. Clic-droit sur la feuille souhaitée et choisissez la commande Aller à la feuille du menu contextuel. Si vous souhaitez vous rendre sur une feuille enfant, vous devez tout d’abord cliquer sur la feuille parent et l’étendre. Pour des niveaux d’imbrications multiples il sera peut-être plus simple d’utiliser l’outil de recherche directe.

  4. L’explorateur de projet sera minimisé dans la barre des tâches et la feuille du schéma sera visualisée.

Naviguer vers un élément du schéma

Cette action permet de se rendre sur un composant particulier. Deux possibilités existent :

  1. Pour naviguer vers l’élément pendant un parcours:

  2. Clic-droit sur l’élément d’intérêt et validez la commande ‘Aller à l’élément’ du menu contextuel.

  3. L’explorateur de projet sera minimisé dans la barre des tâches et l’élément du schéma sera visualisé.

Notez que vous pouvez vous rendre vers un élément par un clic droit sur le composant ou sur la broche: cette seconde possibilité est pratique en mode visionneur de liens. Vous pouvez également cliquer sur l’icône ISIS placé en haut de l’explorateur de projets.

Naviguer vers un élément lorsque vous connaissez sa référence:

  1. Lancez l’explorateur de projet (raccourci par défaut ALT+X).

  2. Lancez la boite de dialogue de recherche via l’icône de l’explorateur et entrez la référence recherchée.

  3. Suivez les étapes indiquées au-dessus pour naviguer vers l'élement.

ISIS dispose également d’une méthode de recherche via la commande Trouver et éditer composant du menu Edition.

Naviguer vers un lien du schéma

Cette action sélectionnera un lien particulier ainsi que tous les fils de la feuille courante auquel il est connecté :

Pour sélectionner et visualiser un lien du schéma:

  1. Placez-vous en mode visionneur de netlist ou à un niveau de visualisation qui montre les broches dans le panneau de droite.

  2. Clic-droit sur une broche ou un lien, et choisissez la commande Aller au lien du menu contextuel.

  3. L’explorateur de projet sera minimisé dans la barre des tâches et le lien du schéma sera visualisé et sélectionné

Voir aussi la section des exemples.


PCB Integration

INTEGRATION AVEC LE PCB

En plus d’interagir avec le schéma, vous pouvez également utiliser l’explorateur de projet pour interagir avec le circuit imprimé, effectuer une comparaison entre les composants du schéma et les boîtiers du circuit, ou mettre en évidence un lien du circuit en relation avec la connectivité du schéma. Ces opérations de contrôle et de vérification sont particulièrement importantes, à toutes les étapes de la conception.

Afin de permettre cette interaction avec le circuit, les conditions suivantes doivent être respectées :

  • ARES doit être lancé sur le même projet que celui chargé dans ISIS.

  • Toutes les modifications apportées au schéma doivent être mises à jour dans la netlist – c'est-à-dire qu’ISIS et ARES doivent être synchronisés avant de lancer l’explorateur de projet.

De plus, il semble évident que la comparaison croisée avec une empreinte du circuit, lorsque cette empreinte n’a pas été placée, ne sera pas possible !

Vous pouvez effectuer une comparaison croisée en choisissant une des deux méthodes indiquées ci-dessous:

1. Cliquez sur l’élément ou le lien pour lequel vous souhaitez visualiser le boîtier, et validez l’icône ARES en haut de l’explorateur de projet..

2. Clic-droit sur l’élément pour lequel vous souhaitez visualiser le boîtier, et validez le choix Aller à l’élément du circuit ou Aller au lien du circuit du menu contextuel.

3. Clic-droit sur le lien pour lequel vous souhaitez visualiser le boîtier, et validez le choix Aller à l’élément du circuit ou Aller au lien du circuit du menu contextuel.

Si l’icône ARES ou le menu contextuel ne sont pas disponibles, c’est que l’un des critères préalables décrits plus haut n’est pas respecté.


Live Cross-Probing

MODE TEST CROISE

Vous pouvez automatiser la navigation entre les modules ARES et ISIS en utilisant le mode Test croisé.

Quand vous cliquez sur un composant dans l'explorateur de projet, le composant sur le schéma et son empreinte sur le PCB seront automatiquement étiquetés.

Voir également:

ISIS


Examples

EXEMPLES

Afin de clarifier les explications données, nous fournissons des exemples pratiques sur ce qu’il est possible de faire avec l’explorateur de projet.

Pour contrôler les éléments du schéma qui ne possèdent pas de package:

1. Lancer l’explorateur de projet en visionneur des éléments physiques.

2. Parcourez les feuilles via le panneau de gauche.

3. Les éléments sans package seront repérés grâce au mot missing en rouge dans la colonne « package »

Mise en évidence des packages manquants dans l’explorateur de projet.

Pour examiner les liens à une broche afin de vérifier d’éventuelles erreurs de connectivité:

  1. Lancez l’explorateur de projet et passez en visionneur des liens physiques.

  2. Tous les liens de la feuille courante seront affichés dans le panneau de droite. Les liens à une broche seront identifiés par une icône dédiée et par le texte ‘single pin’ dans la colonne net.

  3. Clic-droit sur une « single pin » du panneau de droite et validez le choix Aller au lien du schéma du menu contextuel. L’explorateur de projet sera minimisé et le schéma sera zoomé autour de la broche, qui sera elle-même sélectionnée.

  4. Rappelez l’explorateur de projet qui a été minimisé dans la barre de tâches en bas de l’écran (clic gauche) et répétez l’étape 3 comme désiré.

Pour mettre en évidence le lien GROUND de la feuille courante:

  1. Lancez l’explorateur de projet et passez en visionneur des liens physiques.
  2. Validez la feuille qui vous intéresse dans le panneau de gauche.
  3. Trouvez le lien GND dans la liste des liens du panneau de droite de l’explorateur de projet.

  4. Cliquez droit sur le lien GND et validez le choix Aller au lien du schéma du menu contextuel.

  5. Si nécessaire, répétez les étapes 2 à 4 pour les autres feuilles du projet.

TPour naviguer vers une feuille enfant du schéma:

Lancez l’explorateur de projet dans ISIS puis

soit:

  1. Utilisez la boite de dialogue de recherche de la feuille (décochez toutes les options excepté celle des feuilles).

  2. Clic-droit sur la feuille sélectionnée dans le panneau de droite, et validez le choix Aller à la feuille du schéma du menu contextuel.

Ou:

Parcourez les feuilles grâce au panneau gauche, clic-droit sur la feuille et validez le choix Aller à la feuille du schéma du menu contextuel.

Pour effectuer un contrôle croisé avec une empreinte du circuit dans ARES:

  1. ISIS et ARES doivent être ouverts, les projets chargés et synchronisés (c’est à dire que toutes les modifications dans ISIS auront été reportées dans ARES par l’opération de génération de netlist).

  2. Lancez l’explorateur de projet dans ISIS.

  3. Validez le mode visionneur des éléments physiques.

  4. Le panneau de droite devrait afficher la liste des composants de la feuille courante.

  5. Clic-droit sur le composant qui vous intéresse et validez le choix Aller à l’élément du circuit du menu contextuel. Dans ARES, l’empreinte correspondante sera sélectionnée et centrée en visualisation.

Lorsque l’option Aller sur un élément du circuit est grisée ; les causes possibles sont: que ARES n’est pas ouvert, que le circuit chargé ne correspond pas au schéma, ou que le schéma et le circuit ne sont pas synchronisés (fermez l’explorateur, générez la netlist vers ARES et revenez à l’étape 2 ci-dessus).

L’explorateur de projet est une fenêtre qui peut être minimisée dans la barre de tâches de Windows. Toute modification du schéma provoquera la fermeture de l’explorateur de projet, afin que les informations affichées dans l’explorateur soient cohérentes avec celles du schéma.